<?php
// application/models/DbTable/Users.php

class Users extends Zend_Db_Table_Abstract
{
    /** Table name */
    protected $_name    = 'utenti';
	
    protected $_dependentTables = array('RolesUsers');
	
}

class Roles extends Zend_Db_Table_Abstract
{
    /** Table name */
    protected $_name    = 'ruoli';
	
	protected $_dependentTables    = array('RolesUsers');
	
}

class UWaste extends Zend_Db_Table_Abstract
{
    /** Table name */
    protected $_name    = 'rifiuti';
	
	protected $_dependentTables    = array('WasteUsers');
	
}

class Messages extends Zend_Db_Table_Abstract
{
    /** Table name */
    protected $_name    = 'utenti_messaggi';
	
}

class Note extends Zend_Db_Table_Abstract
{
    /** Table name */
    protected $_name    = 'utenti_note';
	
}

class RolesUsers extends Zend_Db_Table_Abstract
{
    /** Table name */
	protected $_name    = 'utente_ruoli';
	
	protected $_referenceMap = array(
		'Role' => array(
			'columns'	=>	array('id_ruolo'),
			'refTableClass'	=>	'Roles',
			'refColumns'	=>	array('id')
		),
		'User' => array(
			'columns'	=>	array('id_utente'),
			'refTableClass'	=>	'Users',
			'refColumns'	=>	array('id')
		)
	);
		
}

class WasteUsers extends Zend_Db_Table_Abstract
{
    /** Table name */
	protected $_name    = 'utenti_rifiuti';
	
	protected $_referenceMap = array(
		'UWaste' => array(
			'columns'	=>	array('id_rifiuto'),
			'refTableClass'	=>	'UWaste',
			'refColumns'	=>	array('id')
		),
		'User' => array(
			'columns'	=>	array('id_utente'),
			'refTableClass'	=>	'Users',
			'refColumns'	=>	array('id')
		)
	);
		
}
?>