<?php

class Form_Trans extends Zend_Form
{
    
	public function init()
    {
        
        $this->setMethod('post');

        $this->addElement('text', 'denominazione', array(
            'label'      => 'Denominazione:',
            'required'   => true,
			'size'   => 50,
            'filters'    => array('StringTrim'),
            'validators' => array(
                 array('validator' => 'StringLength', 'options' => array(0, 255))
            )
        ));
		
		$this->addElement('textarea', 'sede_legale', array(
            'label'      => 'Sede legale:',
            'required'   => true,
            'filters'    => array('StringTrim'),
            'validators' => array(
                 array('validator' => 'StringLength', 'options' => array(0, 255))
            )
        ));
		
		$this->addElement('textarea', 'ubicazione_esercizio', array(
            'label'      => 'Ubicazione esercizio:',
            'required'   => true,
            'filters'    => array('StringTrim'),
            'validators' => array(
                 array('validator' => 'StringLength', 'options' => array(0, 255))
            )
        ));
		
		$this->addElement('text', 'codice_fiscale', array(
            'label'      => 'Codice fiscale:',
			'size'   => 16,
            'required'   => true,
            'filters'    => array('StringTrim'),
            'validators' => array(
                 array('validator' => 'StringLength', 'options' => array(0, 20))
            )
        ));
		
		$this->addElement('text', 'num_iscrizione_albo', array(
            'label'      => 'Iscrizione Albo n.:',
			'size'   => 40,
            'required'   => true,
            'filters'    => array('StringTrim'),
            'validators' => array(
                 array('validator' => 'StringLength', 'options' => array(0, 255))
            )
        ));
		
        $this->addElement('submit', 'submit', array(
            'label'    => 'Conferma'
        ));
    }
	 
}
?>